Subject: Re: [PATCH v2 1/6] ARM: Use PAGE_SIZE for ELF_EXEC_PAGESIZE

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 12 Jun 2020 09:35:10 +0100

On Fri, Jun 12, 2020 at 10:22:17AM +0200, Arnd Bergmann wrote:
> On Thu, Jun 11, 2020 at 3:49 PM Gregory CLEMENT
> <[email-masked]> wrote:
> >
> > Currently ELF_EXEC_PAGESIZE is 4096 which is also the page size. In
> > order to be able to use other size of page than 4K, use PAGE_SIZE
> > instead of the hardcoded value.
> >
> > The use of PAGE_SIZE will be also aligned with what we find in other
> > architectures such as arm64.
> >
> > This is inspired from fa0ca2726ea9 ("DSMP 64K support") and
> > 4ef803e12baf ("mmu: large-page: Added support for multiple kernel page
> > sizes") from
> > https://github.com/MarvellEmbeddedProcessors/linux-marvell.git
> >
> > Signed-off-by: Gregory CLEMENT <[email-masked]>
> 
> IIRC using page sizes above 16KB here also requires using a
> non-ancient linker in user space that places sections on
> ELF_EXEC_PAGESIZE boundaries, right?

Doesn't that mean that this change breaks all existing userspace when
ELF_EXEC_PAGESIZE is not 4k?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel